// axios
import request2 from '@/utils/request2'
import request from '@/utils/request'

export function getCourseListRequest(data){//获取课堂列表数据
	return request2({
    url: 'https://gpt4.cocorobo.cn/get_classroom_observation_all',
    method: 'post',
    data,
    hideloading: true
  })
}

export function updateObsRequest(data){//保存分析数据
	return request2({
    url: 'https://gpt4.cocorobo.cn/update_classroom_observation',
    method: 'post',
    data,
    hideloading: true
  })
}

export function chatRequest(data){//对话
	return request2({
    url: 'https://gpt4.cocorobo.cn/ai_agent_park_chat',
    method: 'post',
    data,
    hideloading: true
  })
}

export function getObsRequest(data){//获取分析数据
	return request2({
    url: 'https://gpt4.cocorobo.cn/get_classroom_observation_new',
    method: 'post',
    data,
    hideloading: true
  })
}

export function delClassRequest(data){//删除
	return request2({
    url: 'https://gpt4.cocorobo.cn/update_classroom_observation_isdel',
    method: 'post',
    data,
    hideloading: true
  })
}

export function delObsRequest(data){//删除分析数据
	return request2({
    url: 'https://gpt4.cocorobo.cn/delete_classroom_observation',
    method: 'post',
    data,
    hideloading: true
  })
}

export function insertNewClassRoomRequest(data){//通过模板创建新的课堂
	return request2({
    url: 'https://gpt4.cocorobo.cn/insert_classroom_observation_template',
    method: 'post',
    data,
    hideloading: true
  })
}

export function insertNewObsRequest(data){//创建新的分析
	return request2({
    url: 'https://gpt4.cocorobo.cn/insert_classroom_observation',
    method: 'post',
    data,
    hideloading: true
  })
}


export function chatNoStreamRequest(data){//不用流式传输的chat
	return request2({
    url: 'https://gpt4.cocorobo.cn/chat',
    method: 'post',
    data,
    hideloading: true
  })
}


export function getBindFormDataRequest(params){//获取绑定表达的数据
	return request({
		url: '/selectTesttCourse3',
    method: 'get',
    params,
    hideloading: true
	})

}

export function getClassroomTemplateRequest(params){//获取模板数据
	return request({
		url: '/selectClassroomTemplate',
    method: 'get',
    params,
    hideloading: true
	})
}

export function getClassroomDefaultRequest(params){//获取默认模板数据
	return request({
		url: '/selectClassroomDefault',
    method: 'get',
    params,
    hideloading: true
	})
}

export function getClassroomTemplateDetailRequest(params){//查询模板数据
  return request({
		url: '/selectClassroomTemplateDetail',
    method: 'get',
    params,
    hideloading: true
	})
}

export function updateClassroomTemplateCollectRequest(data){//修改收藏模板状态
	return request({
		url: '/updateClassroomTemplateCollect',
    method: 'post',
    data,
    hideloading: true
	})
}

export function updateClassroomTemplateDataRequest(data){//修改模板数据
	return request({
		url: '/updateClassroomTemplateData',
    method: 'post',
    data,
    hideloading: true
	})
}

export function updateClassroomDefaultRequest(data){//修改模板数据
	return request({
		url: '/updateClassroomDefault',
    method: 'post',
    data,
    hideloading: true
	})
}

export function insertClassroomTemplateRequest(data){//修改模板数据
	return request({
		url: '/insertClassroomTemplate',
    method: 'post',
    data,
    hideloading: true
	})
}

export function upload_file_knowledgeRequest(data){//删除模板数据
  return request2({
		url: 'https://gpt4.cocorobo.cn/upload_file_knowledge',
    method: 'put',
    data,
    hideloading: true
	})
}

export function getChatListRequest(data){//获取聊天记录
	return request2({
		url: 'https://gpt4.cocorobo.cn/get_agent_park_chat',
    method: 'post',
    data,
    hideloading: true
	})
}

export function insertChatListRequest(data){//保存聊天记录
	return request2({
		url: 'https://gpt4.cocorobo.cn/insert_chat',
    method: 'post',
    data,
    hideloading: true
	})
}

export function aiChatRequest(data){//聊天请求
	return request2({
		url: 'https://gpt4.cocorobo.cn/chat',
    method: 'post',
    data,
    hideloading: true
	})
}

export function aiRoleChatRequest(data){//聊天请求
	return request2({
		url: 'https://gpt4.cocorobo.cn/ai_agent_park_chat_new',
    method: 'post',
    data,
    hideloading: true
	})
}

export function getRoleList(data){//获取自己的角色列表
	return request2({
		url: 'https://gpt4.cocorobo.cn/get_ai_agent_assistant_list',
    method: 'post',
    data,
    hideloading: true
	})
}


export function getShareRoleList(data){//获取自己的角色列表
	return request2({
		url: 'https://gpt4.cocorobo.cn/get_ai_agent_assistant_share_list',
    method: 'post',
    data,
    hideloading: true
	})
}

